syntax = "proto3";

package crypter.v1;

import "crypter/v1/request_response.proto";

service CrypterService {
  rpc BatchSign(BatchSignRequest) returns (BatchSignResponse) {}
  rpc BatchVerify(BatchVerifyRequest) returns (BatchVerifyResponse) {}
  rpc BatchRecover(BatchRecoverRequest) returns (BatchRecoverResponse) {}
  rpc BatchRecoverTx(BatchRecoverTxRequest) returns (BatchRecoverTxResponse) {}
}
